RSSFeed (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.RSSFeed class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet
Class RSSFeed

    java.lang.Object
      org.hyperic.hq.ui.action.portlet.RSSFeed

    public class RSSFeed

extends java.lang.Object

This bean encapsulates the information that go into an RSS feed

Nested Class Summary
`class` | `RSSFeed.RSSItem`

Constructor Summary
`RSSFeed(java.lang.String baseUrl)`

Method Summary
`void` | `addItem(java.lang.String title, java.lang.String link, java.lang.String desc, long pubDate)`
`java.lang.String` | `getBaseUrl()`
`java.lang.String` | `getBuildDate()`
`java.util.List` | `getItems()`
`java.lang.String` | `getPubDate()`
`java.lang.String` | `getTitle()`
`void` | `setBaseUrl(java.lang.String baseUrl)`
`void` | `setBuildDate(long buildDate)`
`void` | `setItems(java.util.List items)`
`void` | `setPubDate(long pubDate)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSSFeed

    public RSSFeed(java.lang.String baseUrl)

Method Detail

### getBaseUrl

    public java.lang.String getBaseUrl()

### setBaseUrl

    public void setBaseUrl(java.lang.String baseUrl)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getPubDate

    public java.lang.String getPubDate()

### setPubDate

    public void setPubDate(long pubDate)

### getBuildDate

    public java.lang.String getBuildDate()

### setBuildDate

    public void setBuildDate(long buildDate)

### getItems

    public java.util.List getItems()

### setItems

    public void setItems(java.util.List items)

### addItem

    public void addItem(java.lang.String title,
                        java.lang.String link,
                        java.lang.String desc,
                        long pubDate)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.